# MediaInformationSession

Package

## Class MediaInformationSession

- All Implemented Interfaces:
    `com.arthenica.ffmpegkit.Session`

      public class MediaInformationSession
      extends AbstractSession implements Session

  A custom FFprobe session, which produces a `MediaInformation` object using the FFprobe output.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private MediaInformation` | `mediaInformation` |
    `private final MediaInformationSessionCompleteCallback` | `completeCallback` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaInformation` | `getMediaInformation()` | Returns the media information extracted in this session.
    `void` | `setMediaInformation(MediaInformation mediaInformation)` | Sets the media information extracted in this session.
    `MediaInformationSessionCompleteCallback` | `getCompleteCallback()` | Returns the session specific complete callback.
    `static MediaInformationSession` | `create(Array<String> arguments)` | Creates a new media information session.
    `static MediaInformationSession` | `create(Array<String> arguments, MediaInformationSessionCompleteCallback completeCallback)` | Creates a new media information session.
    `static MediaInformationSession` | `create(Array<String> arguments, MediaInformationSessionCompleteCallback completeCallback, LogCallback logCallback)` | Creates a new media information session.
    `boolean` | `isFFmpeg()` | Returns whether it is an `FFmpeg` session or not.
    `boolean` | `isFFprobe()` | Returns whether it is an `FFprobe` session or not.
    `boolean` | `isMediaInformation()` | Returns whether it is a `MediaInformation` session or not.
    `String` | `toString()` |

    - ### Methods inherited from class com.arthenica.ffmpegkit.AbstractSession

      `addLog, cancel, getAllLogs, getAllLogs, getAllLogsAsString, getAllLogsAsString, getArguments, getCommand, getCreateTime, getDuration, getEndTime, getFailStackTrace, getFuture, getLogCallback, getLogRedirectionStrategy, getLogs, getLogsAsString, getOutput, getReturnCode, getSessionId, getStartTime, getState, thereAreAsynchronousMessagesInTransmit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMediaInformation

           MediaInformation getMediaInformation()

      Returns the media information extracted in this session.

    - #### setMediaInformation

           void setMediaInformation(MediaInformation mediaInformation)

      Sets the media information extracted in this session.

      Parameters:
        `mediaInformation` - media information extracted

    - #### getCompleteCallback

           MediaInformationSessionCompleteCallback getCompleteCallback()

      Returns the session specific complete callback.

    - #### create

           static MediaInformationSession create(Array<String> arguments)

      Creates a new media information session.

      Parameters:
        `arguments` - command arguments

    - #### create

           static MediaInformationSession create(Array<String> arguments, MediaInformationSessionCompleteCallback completeCallback)

      Creates a new media information session.

      Parameters:
        `arguments` - command arguments
        `completeCallback` - session specific complete callback

    - #### create

           static MediaInformationSession create(Array<String> arguments, MediaInformationSessionCompleteCallback completeCallback, LogCallback logCallback)

      Creates a new media information session.

      Parameters:
        `arguments` - command arguments
        `completeCallback` - session specific complete callback
        `logCallback` - session specific log callback

    - #### isFFmpeg

           boolean isFFmpeg()

      Returns whether it is an `FFmpeg` session or not.

    - #### isFFprobe

           boolean isFFprobe()

      Returns whether it is an `FFprobe` session or not.

    - #### isMediaInformation

           boolean isMediaInformation()

      Returns whether it is a `MediaInformation` session or not.

    - #### toString

           String toString()